---
search:
  tags:
    - livesync
    - GET
seo:
  description: >-
    Gather a livesync session's replication health. Reference for the GET
    /api/v1/livesync/{id}/health endpoint in the TimescaleDB Enterprise API.
sidebar:
  label: Get livesync health
  badge: GET
title: Get livesync health
type: openapi-operation
---
Gather a livesync session's replication health.

`GET /api/v1/livesync/{id}/health`

**Responses**

- `200` — OK
- `default` — Error

Response example, 200:

```json
{
  "log_tail": [
    "string"
  ],
  "notes": [
    "string"
  ],
  "service": {
    "restarts": 0,
    "started_at": "string",
    "status": "string"
  },
  "slot": {
    "active": true,
    "failover": true,
    "lag_bytes": 0,
    "name": "string"
  },
  "subscription": {
    "applied_operations": 0,
    "last_error": "string",
    "last_replicated_at": "string",
    "stopped_at": "string"
  },
  "tables": [
    {
      "approx_rows": 0,
      "last_error": "string",
      "last_updated": "string",
      "live_rows": 0,
      "rel_type": "string",
      "retry_count": 0,
      "rows_copied": 0,
      "schema": "string",
      "state": "string",
      "state_label": "string",
      "table": "string"
    }
  ],
  "target_read": true
}
```
